### Virtual Method

# Ide WorkspaceAddin surface_set

#### Declaration

    void
    surface_set (
      IdeWorkspaceAddin* self,
      IdeSurface* surface
    )

#### Description

This function is called to notify the addin of the current surface. It may be set to `NULL` before unloading the addin to allow addins to do surface change state handling and cleanup in one function.

Available since: | 3.32

#### Parameters

`surface` | `IdeSurface`
| An `IdeSurface` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.